function varargout=slice(self,u,P,varargin)
  assert(self.d==3 && self.dim==3);
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('labels',[]); % select labels to draw
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  
  if isempty(R.labels), idxlab=self.find(3);else idxlab=self.find(3,R.labels);end
  if isempty(idxlab), return;end
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  if ~PrevHold, clf;hold on;end
  for ilab=[idxlab]
    self.sTh{ilab}.slice(u,P,varargin{:});
  end
  fc_tools.graphics.RestoreHold(PrevHold)
end
